Skip to main content
POST
/
v1
/
namespaces
/
{tenant_meta.namespace}
/
scan-log-requests
CreateScanLogRequest
curl --request POST \
  --url https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/scan-log-requests \
  --header 'Content-Type: application/json' \
  --data '
{
  "meta": {
    "name": "<string>",
    "annotations": {},
    "description": "<string>",
    "index_data": {},
    "parent_kind": "<string>",
    "parent_uuid": "<string>",
    "tags": [
      "<string>"
    ]
  },
  "spec": {
    "max_entries": 123,
    "admin_filter": "<string>",
    "end_time": "2023-11-07T05:31:56Z",
    "execution_id": "<string>",
    "installation_uuid": "<string>",
    "log_levels": [
      "LOG_LEVEL_UNSPECIFIED"
    ],
    "newest_first": true,
    "onprem_scheduler_uuid": "<string>",
    "project_uuid": "<string>",
    "scan_request_uuid": "<string>",
    "scan_result_uuid": "<string>",
    "start_time": "2023-11-07T05:31:56Z"
  },
  "tenant_meta": {}
}
'
{
  "meta": {
    "name": "<string>",
    "annotations": {},
    "create_time": "2023-11-07T05:31:56Z",
    "created_by": "<string>",
    "description": "<string>",
    "index_data": {
      "data": [
        "<string>"
      ],
      "search_score": 123,
      "tenant": "<string>",
      "will_be_deleted_at": "2023-11-07T05:31:56Z"
    },
    "kind": "<string>",
    "parent_kind": "<string>",
    "parent_uuid": "<string>",
    "references": {},
    "tags": [
      "<string>"
    ],
    "update_time": "2023-11-07T05:31:56Z",
    "updated_by": "<string>",
    "upsert_time": "2023-11-07T05:31:56Z",
    "version": "<string>"
  },
  "spec": {
    "max_entries": 123,
    "admin_filter": "<string>",
    "applied_filter": "<string>",
    "end_time": "2023-11-07T05:31:56Z",
    "execution_id": "<string>",
    "installation_uuid": "<string>",
    "log_levels": [
      "LOG_LEVEL_UNSPECIFIED"
    ],
    "log_messages": [
      {
        "json_payload": {},
        "level": "LOG_LEVEL_UNSPECIFIED",
        "tags": {},
        "timestamp": "2023-11-07T05:31:56Z"
      }
    ],
    "newest_first": true,
    "onprem_scheduler_uuid": "<string>",
    "project_uuid": "<string>",
    "scan_request_uuid": "<string>",
    "scan_result_uuid": "<string>",
    "start_time": "2023-11-07T05:31:56Z"
  },
  "tenant_meta": {
    "namespace": "<string>"
  },
  "uuid": "<string>"
}

Path Parameters

tenant_meta.namespace
string
required

Namespaces are a way to organize organizational units into virtual groupings of resources. Namespaces must be a fully qualified name, for example, the child namespace of namespace "endor.prod" called "app" is called "endor.prod.app".

Body

application/json

ScanLogRequest represents a CRUD operation on a message.

meta
object
required

Common fields for all Endor Labs resources.

spec
object
required
tenant_meta
Namespace of the message that is accessed. · object

Namespace of the message that is accessed.

Response

A successful response.

ScanLogRequest represents a CRUD operation on a message.

meta
object
required

Common fields for all Endor Labs resources.

spec
object
required
tenant_meta
object

Tenant related data for the tenant containing the resource.

uuid
string

The UUID of scan log request.